%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name PEAR_Command_Packaging

%define CVS 20090127


Name:           php-pear-PEAR-Command-Packaging
Version:        0.1.3
%if 0%{?CVS:1}
Release:        0.cvs%{CVS}%{?dist}
%else
Release:        1%{?dist}
%endif
Summary:        Create RPM spec files from PEAR modules

Group:          Development/System
License:        PHP
URL:            http://pear.php.net/package/PEAR_Command_Packaging

%if 0%{?CVS:1}
# cvs -d :pserver:cvsread@cvs.php.net:/repository export -D 20090127  pear/PEAR_Command_Packaging/
# tar czf PEAR_Command_Packaging.tgz -C pear PEAR_Command_Packaging
Source0:        %{pear_name}.tgz
%else
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
%endif
Source1:        php-pear-PEAR-Command-Packaging-fedora-template-specfile
Source2:        php-pear-PEAR-Command-Packaging-fedora-template-channel-specfile

Patch0:         php-pear-PEAR-Command-Packaging-0.1.3-fedora-conventions1.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR) >= 1.4.3
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
This command is an improved implementation of the standard PEAR "makerpm" 
command, and contains several enhancements that make it far more flexible. 
Similar functions for other external packaging mechanisms may be added at
a later date.

%prep
%setup -q -c
%if 0%{?CVS:1}
cd %{pear_name}
mv package.xml %{pear_name}.xml
%else
mv package.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}
%endif

%build
# Empty build section, nothing required

%install
%if 0%{?CVS:1}
cd %{pear_name}
%else
cd %{pear_name}-%{version}
%endif
rm -rf $RPM_BUILD_ROOT
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Patches for Fedora conventions
pushd $RPM_BUILD_ROOT%{pear_phpdir}/PEAR/Command/
%{__patch} -p0 <%{PATCH0}
popd
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{pear_phpdir}/data/%{pear_name}/template.spec
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{pear_phpdir}/data/%{pear_name}/template-channel.spec

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Move documentation
mv $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name} ../docdir

%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi

%files
%doc docdir/*
%defattr(-,root,root,-)
%{pear_xmldir}/%{pear_name}.xml
%{pear_datadir}/%{pear_name}
%{pear_phpdir}/PEAR/Command/Packaging.*


%changelog
* Tue Jan 27 2009 Remi Collet <rpms@FamilleCollet.com> 0.1.3-0.cvs20090127
- SVN 

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.1.2-6
- fix license tag

* Sat Sep 23 2006 Tim Jackson <rpm@timj.co.uk> 0.1.2-5
- Remove "PEAR:" from Summary in spec and template.spec

* Sun Sep 10 2006 Tim Jackson <rpm@timj.co.uk> 0.1.2-4
- Shorten summary
- Remove unnecessary dep on php
- Bundle LICENSE file
- Rename template specfile source to keep rpmlint happy

* Sat Sep 09 2006 Tim Jackson <rpm@timj.co.uk> 0.1.2-3
- Update to conform with latest conventions in bug #198706
- Update in-built spec (for generation of other package specs) to (nearly)
  conform with latest spec conventions

* Mon Jul 03 2006 Tim Jackson <rpm@timj.co.uk> 0.1.2-2
- BR php-pear 1.4.9; 1.4.8 is broken
- Update to conform to proposed Fedora PHP packaging standards

* Wed Jun 28 2006 Tim Jackson <rpm@timj.co.uk> 0.1.2-1
- Update to 0.1.2
- Update fedora-conventions patch to patch Packaging.xml
- Update fedora-conventions patch for peardir/tests -> peardir/test
- Backport upstream patch to make Fedora conventions work properly

* Fri Jun 9 2006 Tim Jackson <rpm@timj.co.uk> 0.1.1-2
- Add Epoch to php-pear BR

* Thu May 18 2006 Tim Jackson <rpm@timj.co.uk> 0.1.1-1
- Update to 0.1.1
- XML description now in datadir/pear/.pkgxml (see bug #190252)
- Stop buildroot path ending up in output files

* Wed Mar 15 2006 Tim Jackson <rpm@timj.co.uk> 0.1.0-2
- Own data/PEAR_Command_Packaging dir
- Remove empty doc line
- Remove empty build section
- Replace cp with install

* Tue Mar 14 2006 Tim Jackson <rpm@timj.co.uk> 0.1.0-1
- Initial RPM build
